## Class Comando

    java.lang.Object
      Comando

Direct Known Subclasses:
  ComandoAiuto, ComandoAttacca, ComandoEsci, ComandoNonValido, ComandoPassaTurno, ComandoSposta, ComandoStampa, ComandoVersione

    public abstract class Comando

extends java.lang.Object

Modella un comando generico. Ogni comando per essere accettato dal gioco deve estendere questa classe.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`Comando()`

Method Summary
`abstract boolean` `esegui(Giocatore giocatore, Tabellone planisfero)` Esegue il comando
`abstract java.lang.String` `getNomeComando()` Restituisce il nome del comando

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Comando

    public Comando()

Method Detail

### getNomeComando

    public abstract java.lang.String getNomeComando()

  Restituisce il nome del comando

  Returns:
    una stringa contenente il nome del comando

### esegui

    public abstract boolean esegui(Giocatore giocatore,
                                   Tabellone planisfero)
                            throws java.io.IOException

  Esegue il comando

  Parameters:
    `giocatore` - esecutore del comando
    `planisfero` - riferimento al tabellone di gioco
  Throws:
    `java.io.IOException`